Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# gnABISource Class Reference

gnABISource is not implemented. More...

`#include <gnABISource.h>`

Inheritance diagram for gnABISource::

List of all members.

## Public Methods
| gnABISource ()
| gnABISource (const gnABISource &s)
| Clone Constructor copies the specified gnSEQSource. More...
| ~gnABISource ()
gnABISource* | Clone () const
uint32 | GetContigListLength () const
| Get the number of sequence contigs in this source. More...
boolean | HasContig (const string &name) const
| Looks for a contig by name. More...
uint32 | GetContigID (const string &name) const
| Get a contig index by name. More...
string | GetContigName (uint32 i) const
| Get the name of the specified contig. More...
gnSeqI | GetContigSeqLength (uint32 i) const
| Get the total number of base pairs in the specified contig. More...
gnFileContig* | GetContig (const uint32 i) const
boolean | SeqRead (const gnSeqI start, char *buf, uint32 &bufLen, const uint32 contigI=ALL_CONTIGS)
| Gets sequence data from this source. More...
gnGenomeSpec* | GetSpec () const
| Get the annotated sequence data as a gnGenomeSpec. More...
gnFileContig* | GetFileContig (const uint32 contigI) const
| Returns a pointer to the file contig corresponding to contigI or null if none exists. More...
## Static Public Methods
boolean | Write (gnSequence &sequence, const string &filename)
| Writes the specified gnSequence to an ABI file named "filename". More...
## Private Methods
boolean | SeqSeek (const gnSeqI start, const uint32 &contigI, uint64 &startPos, uint64 &readableBytes)
boolean | SeqStartPos (const gnSeqI start, gnFileContig &contig, uint64 &startPos, uint64 &readableBytes)
boolean | ParseStream (istream &fin)
## Private Attributes
gnGenomeSpec* | m_spec
vector< gnFileContig* > | m_contigList

## Detailed Description

gnABISource is not implemented.

Definition at line 27 of file gnABISource.h.

## Constructor & Destructor Documentation

gnABISource::gnABISource ( | )

| Definition at line 15 of file gnABISource.cpp. Referenced by Clone().

gnABISource::gnABISource ( | const gnABISource & s )

  | Clone Constructor copies the specified gnSEQSource. Parameters:
  s | The gnABISource to copy.
Definition at line 20 of file gnABISource.cpp.

gnABISource::~gnABISource ( | )

| Definition at line 28 of file gnABISource.cpp.

## Member Function Documentation

gnABISource * gnABISource::Clone ( | ) const`[inline, virtual]`

| Reimplemented from gnFileSource. Definition at line 69 of file gnABISource.h.

gnFileContig * gnABISource::GetContig ( | const uint32 i ) const

uint32 gnABISource::GetContigID ( | const string & name ) const`[virtual]`

  | Get a contig index by name. If the source does not contain a contig by the specified name GetContigID returns UINT32_MAX. Parameters:
  name | The name of the contig to look for.
Returns: The index of the named contig or UINT32_MAX. Reimplemented from gnBaseSource. Definition at line 51 of file gnABISource.cpp.

uint32 gnABISource::GetContigListLength ( | ) const`[inline, virtual]`

| Get the number of sequence contigs in this source. Returns: The number of contigs in this source. Reimplemented from gnBaseSource. Definition at line 74 of file gnABISource.h.

string gnABISource::GetContigName ( | uint32 i ) const`[virtual]`

  | Get the name of the specified contig. Returns an empty string if the specified contig is out of range. Parameters:
  i | The index of the contig or ALL_CONTIGS.
Returns: The name of the contig or an empty string. Reimplemented from gnBaseSource. Definition at line 62 of file gnABISource.cpp.

gnSeqI gnABISource::GetContigSeqLength ( | uint32 i ) const`[virtual]`

  | Get the total number of base pairs in the specified contig. Parameters:
  i | The index of the contig or ALL_CONTIGS.
Returns: The length in base pairs of the specified contig. Reimplemented from gnBaseSource. Definition at line 69 of file gnABISource.cpp.

gnFileContig * gnABISource::GetFileContig ( | const uint32 contigI ) const`[virtual]`

| Returns a pointer to the file contig corresponding to contigI or null if none exists. Reimplemented from gnFileSource. Definition at line 96 of file gnABISource.cpp.

gnGenomeSpec * gnABISource::GetSpec ( | ) const`[inline, virtual]`

| Get the annotated sequence data as a gnGenomeSpec. GetSpec returns a gnGenomeSpec which contains the sequence, header, and feature data contained by this source. Returns: The annotated sequence data. Reimplemented from gnBaseSource. Definition at line 79 of file gnABISource.h.

boolean gnABISource::HasContig ( | const string & name ) const`[virtual]`

  | Looks for a contig by name. Returns true if it finds the contig, otherwise false. Parameters:
  name | The name of the contig to look for.
Returns: True if the named contig exists, false otherwise. Reimplemented from gnBaseSource. Definition at line 41 of file gnABISource.cpp.

boolean gnABISource::ParseStream ( | istream & fin )`[private, virtual]`

| Reimplemented from gnFileSource. Definition at line 102 of file gnABISource.cpp.

boolean gnABISource::SeqRead ( | const gnSeqI start,
| char * buf,
| uint32 & bufLen,
| const uint32 contigI = ALL_CONTIGS )`[virtual]`

  | Gets sequence data from this source. SeqRead will attempt to read "bufLen" base pairs starting at "start", an offset into the sequence. Reading inside a specific contig can be accomplished by supplying the "contigI" parameter with a valid contig index. SeqRead stores the sequence data in "buf" and returns the actual number of bases read in "bufLen". SeqRead will return false if a serious error occurs. Parameters:
  start | The base pair to start reading at.
  buf | The character array to store base pairs into.
  len | The number of base pairs to read.
  contigI | The index of the contig to read or ALL_CONTIGS by default.
Returns: True if the operation was successful. Reimplemented from gnBaseSource. Definition at line 82 of file gnABISource.cpp.

boolean gnABISource::SeqSeek ( | const gnSeqI start,
| const uint32 & contigI,
| uint64 & startPos,
| uint64 & readableBytes )`[private]`

| Definition at line 87 of file gnABISource.cpp.

boolean gnABISource::SeqStartPos ( | const gnSeqI start,
| gnFileContig & contig,
| uint64 & startPos,
| uint64 & readableBytes )`[private]`

| Definition at line 91 of file gnABISource.cpp. Referenced by SeqSeek().

boolean gnABISource::Write ( | gnSequence & sequence,
| const string & filename )`[static]`

  | Writes the specified gnSequence to an ABI file named "filename". Parameters:
  sequence | The gnSequence to write out.
  filename | The name of the file to write.
Returns: True if successful, false otherwise.

## Member Data Documentation

vector< gnFileContig * > gnABISource::m_contigList< gnFileContig* >`[private]`

| Definition at line 64 of file gnABISource.h.

gnGenomeSpec * gnABISource::m_spec`[private]`

| Definition at line 63 of file gnABISource.h.

The documentation for this class was generated from the following files:

- gnABISource.h
- gnABISource.cpp